function e2 = ALS(b,P_1,theta,f_s,SS,AA,W)
% computes the least squared residuals for $P-\Psi(theta,P)$ and is used for
% Asymptotic Least Squares estimator by Pesondorfer and Schmidt-Dengler (2007).
%
% Written by Hiroyuki Kasahara, University of British Columbia 
% Last Updated: July 2009 

theta_b = theta;
theta_b(1:2,1) = b;
P = Psi(P_1,theta_b,f_s,SS,AA);
e2 = (P(:)-P_1(:))'*W*(P(:)-P_1(:));
 