function P = Lambda(P_0,b,f_s,SS,AA,alpha)
% Policy Iterations: MPE mapping from conditional choice probabilities to
% themselves using Lambda = Psi^{alpha}P^{1-alpha}
%
%   INPUT
% P_1(:,j): conditional choice probabilities on d = 1 for firm j
% b: parameter vector
% f_s: transition matrix for exogenous state variable S
% AA: contains the value of (a_1,a_2,...,a_N) for each j\in A^{N} (na x
% nglob)
% SS: contains the value of S (ns x 1)
%
%   OUTPUT
% P(:,j):  updated conditional choice probabilities of d = 1 for firm j 
%
% Written by Hiroyuki Kasahara, UBC
% Last Updated: July 2009
 
P_1 = Psi(P_0,b,f_s,SS,AA); 
P = (P_1.^alpha).*(P_0.^(1-alpha)); 


return








