function P = Lambda_q(P_0,b,f_s,SS,AA,alpha,q)
% Policy Iterations: MPE mapping from conditional choice probabilities to
% themselves using Lambda^q = Lambda(Lambda(...Lambda(theta,P)...))
%
%   INPUT
% P_1(:,j): conditional choice probabilities on d = 1 for firm j
% b: parameter vector
% f_s: transition matrix for exogenous state variable S
% AA: contains the value of (a_1,a_2,...,a_N) for each j\in A^{N} (na x
% nglob)
% SS: contains the value of S (ns x 1)
%
%   OUTPUT
% P(:,j):  updated conditional choice probabilities of d = 1 for firm j  
%
% Written by Hiroyuki Kasahara, UBC
% Last Updated: July 2009

for j = 1:q 
    P_0 = Lambda(P_0,b,f_s,SS,AA,alpha); 
end
P = P_0;
 
return








